Bug 996877 - Entries are passivated with wrong ID in DB
Entries are passivated with wrong ID in DB
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR4
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 04:31 EDT by Vitalii Chepeliuk
Modified: 2018-02-07 19:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3405 Major Resolved Entries are passivated with wrong ID in DB 2013-10-15 05:08:22 EDT

  None (edit)
Description Vitalii Chepeliuk 2013-08-14 04:31:46 EDT
See description here: https://issues.jboss.org/browse/ISPN-3405
Comment 2 JBoss JIRA Server 2013-08-14 05:18:46 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-3405

To summarize this, the getLockFromKey() method uses internally just hashCode invoked on the object passed as a parameter. While this was OK in ISPN 5.2 (ByteArrayKey was passed when the key was byte[]), now it's a problem because byte array is passed directly and so the hashCode method generates wrong hash. This IMO results in many entries stored in the same bucket which is, at minimum, a serious performance issue.
Comment 3 JBoss JIRA Server 2013-08-14 12:22:56 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-3405 to Coding In Progress
Comment 4 Martin Gencur 2013-09-18 07:17:27 EDT
Verification blocked by https://bugzilla.redhat.com/show_bug.cgi?id=997365. The fix should be available in ER1
Comment 5 Jakub Markos 2013-09-30 09:19:11 EDT
I'm encountering this in 6.2.0.ER1, too.
Comment 6 Jakub Markos 2013-09-30 10:39:59 EDT
False alarm, our tests were outdated, sorry.

Note You need to log in before you can comment on or make changes to this bug.